# Getestet mit Python 3.11.6 und PySide 6.6.0
# Fehler: QWebEngineView wird nicht angezeigt. ¯\(ツ)/¯

import sys
import time
import PySide6.QtWidgets as widgets
import PySide6.QtCore as core
import PySide6.QtUiTools as uic
from MeinWidget import MeinWidget
from PySide6.QtWebEngineWidgets import QWebEngineView  # nötig für den QUiLoader; rote Kringel, weil der Typprüfer das nicht merkt.

app = widgets.QApplication(sys.argv)

loader = uic.QUiLoader()
# In der UI-Datei ist ein QWidget als Platzhalter für unser Widget eingetragen.
# Dazu im Qt Designer Mausklick rechts auf das Widget und als Klasse MeinWidget, als Header MeinWidget.h (!) angeben
loader.registerCustomWidget(MeinWidget)
w = uic.QUiLoader().load("tracker.ui")

class EventFilter(core.QObject):
    def eventFilter(self, obj, event):
        if event.type() == core.QEvent.MouseMove:
            x = event.position().x()
            y = event.position().y()
            w.widget.appendToTrack( (x, y, time.perf_counter()) )
            w.label.setText(f"{x} {y}")
        return False

myTracker = EventFilter()
w.webEngineView.installEventFilter(myTracker)
w.webEngineView.setMouseTracking(True)

def showDiagram(istAn: bool):
    if istAn:
        w.widget.show()
    else:
        w.widget.hide()

w.widget.hide()
w.checkBox.toggled.connect(showDiagram)

w.show()
sys.exit(app.exec())